#! /bin/sh
if [ "$(id -u)" != "0" -a -z "$1" ]
then
  exec /sbin/start-stop-daemon -S -c root:root -x "$0"
  exit 1
fi

MYFILE=`basename $0`
MYPATH=`echo $0 | sed -e 's/'$MYFILE'//g'`
cd $MYPATH

. /home/native/.profile 2>/dev/null 1>/dev/null

export LD_LIBRARY_PATH="$MYPATH/plugin:$LD_LIBRARY_PATH"
#echo $LD_LIBRARY_PATH
if [ ! -x ./zeditor ]; then
  chmod +x ./zeditor
fi
exec ./zeditor $@
exit 1
